## Update an IOI's notional, accepting the current NDA revision when required.

`client.V1.PrivateMarkets.UpdateIoi(ctx, ioiID, params) (*V1PrivateMarketUpdateIoiResponse, error)`

**patch** `/v1/private-markets/iois/{ioi_id}`

Update an IOI's notional, accepting the current NDA revision when required.

### Parameters

- `ioiID string`

- `params V1PrivateMarketUpdateIoiParams`

  - `AccountID param.Field[int64]`

    Query param

  - `NotionalAmount param.Field[string]`

    Body param

  - `NdaAcceptance param.Field[V1PrivateMarketUpdateIoiParamsNdaAcceptance]`

    Body param: Required when the SPV's current NDA version is newer than the IOI's
    latest acceptance. Irrelevant acceptances are rejected.

    - `Accepted bool`

      Must be true; confirms affirmative assent.

    - `AgreementID string`

      Exact agreement id returned by offering detail.

    - `AuthorityConfirmed bool`

      Must be true; confirms the signer may bind the account-holder entity.

### Returns

- `type V1PrivateMarketUpdateIoiResponse struct{…}`

  - `Data IoiListingResource`

    IOI list item with the campaign identity needed to render it.

    - `Company IoiCompanyResource`

      Company identity embedded in an IOI list item.

      - `ID string`

      - `Name string`

    - `Offering IoiOfferingResource`

      Offering identity embedded in an IOI list item.

      - `ID string`

      - `Headline string`

### Example

```go
package main

import (
  "context"
  "fmt"

  "github.com/clear-street/clear-street-go"
  "github.com/clear-street/clear-street-go/option"
)

func main() {
  client := clearstreet.NewClient(
    option.WithAPIKey("My API Key"),
  )
  response, err := client.V1.PrivateMarkets.UpdateIoi(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    clearstreet.V1PrivateMarketUpdateIoiParams{
      AccountID: 0,
      NotionalAmount: "125000.00",
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
```

#### Response

```json
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "125000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T03:12:44.001000Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}
```
